import { CodegenGenerator, CodegenOptions } from '@openapi-generator-plus/core';
/**
 * Camel case and capitalize suitable for a class name. Doesn't change existing
 * capitalization in the value.
 * e.g. "FAQSection" remains "FAQSection", and "faqSection" will become "FaqSection"
 * @param value string to be turned into a class name
 */
export declare function classCamelCase(value: string): string;
export declare function identifierCamelCase(value: string): string;
export declare function javaLikeGenerator<O extends CodegenOptions>(): Pick<CodegenGenerator<O>, 'toClassName' | 'toIdentifier' | 'toConstantName' | 'toEnumName'>;
